org.apache.ignite.internal.visor.cache

## Class VisorCacheConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.cache.VisorCacheConfiguration

All Implemented Interfaces:
  Serializable

    public class VisorCacheConfiguration
    extends Object
    implements Serializable

Data transfer object for cache configuration properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheConfiguration()`

### Method Summary

Methods
`VisorCacheAffinityConfiguration` `affinityConfiguration()`
`void` `affinityConfiguration(VisorCacheAffinityConfiguration affinity)`
`CacheAtomicityMode` `atomicityMode()`
`void` `atomicityMode(CacheAtomicityMode atomicityMode)`
`int` `atomicSequenceReserveSize()`
`void` `atomicSequenceReserveSize(int atomicSeqReserveSize)`
`CacheAtomicWriteOrderMode` `atomicWriteOrderMode()`
`void` `atomicWriteOrderMode(CacheAtomicWriteOrderMode atomicWriteOrderMode)`
`VisorCacheDefaultConfiguration` `defaultConfiguration()`
`void` `defaultConfiguration(VisorCacheDefaultConfiguration dflt)`
`CacheDistributionMode` `distributionMode()`
`void` `distributionMode(CacheDistributionMode distributionMode)`
`boolean` `eagerTtl()`
`void` `eagerTtl(boolean eagerTtl)`
`VisorCacheEvictionConfiguration` `evictConfiguration()`
`void` `evictConfiguration(VisorCacheEvictionConfiguration evict)`
`String` `expiryPolicyFactory()`
`void` `expiryPolicyFactory(String expiryPlcFactory)`
`static VisorCacheConfiguration` `from(Ignite ignite, CacheConfiguration ccfg)`
`String` `indexingSpiName()`
`void` `indexingSpiName(String indexingSpiName)`
`String` `interceptor()`
`void` `interceptor(String interceptor)`
`boolean` `invalidate()`
`void` `invalidate(boolean invalidate)`
`boolean` `jdbcStore()`
`void` `jdbcStore(boolean jdbcStore)`
`static Iterable<VisorCacheConfiguration>` `list(Ignite ignite, CacheConfiguration[] caches)`
`String` `loaderFactory()`
`void` `loaderFactory(String ldrFactory)`
`boolean` `managementEnabled()`
`void` `managementEnabled(boolean mgmtEnabled)`
`int` `maxConcurrentAsyncOperations()`
`void` `maxConcurrentAsyncOperations(int maxConcurrentAsyncOps)`
`int` `maxQueryIteratorCount()`
`void` `maxQueryIteratorCount(int maxQryIterCnt)`
`CacheMemoryMode` `memoryMode()`
`void` `memoryMode(CacheMemoryMode memoryMode)`
`CacheMode` `mode()`
`void` `mode(CacheMode mode)`
`String` `name()`
`void` `name(String name)`
`VisorCacheNearConfiguration` `nearConfiguration()`
`void` `nearConfiguration(VisorCacheNearConfiguration near)`
`long` `offsetHeapMaxMemory()`
`void` `offsetHeapMaxMemory(long offHeapMaxMemory)`
`VisorCachePreloadConfiguration` `preloadConfiguration()`
`void` `preloadConfiguration(VisorCachePreloadConfiguration preload)`
`boolean` `queryIndexEnabled()`
`void` `queryIndexEnabled(boolean qryIdxEnabled)`
`boolean` `readThrough()`
`void` `readThrough(boolean readThrough)`
`int` `sequenceReserveSize()`
`void` `sequenceReserveSize(int seqReserveSize)`
`int` `startSize()`
`void` `startSize(int startSize)`
`boolean` `statisticsEnabled()`
`void` `statisticsEnabled(boolean statisticsEnabled)`
`VisorCacheStoreConfiguration` `storeConfiguration()`
`void` `storeConfiguration(VisorCacheStoreConfiguration store)`
`boolean` `swapEnabled()`
`void` `swapEnabled(boolean swapEnabled)`
`String` `toString()`
`String` `transactionManagerLookupClassName()`
`void` `transactionManagerLookupClassName(String tmLookupClsName)`
`Collection<VisorCacheTypeMetadata>` `typeMeta()`
`void` `typeMeta(Collection<VisorCacheTypeMetadata> typeMeta)`
`VisorCacheWriteBehindConfiguration` `writeBehind()`
`void` `writeBehind(VisorCacheWriteBehindConfiguration writeBehind)`
`String` `writerFactory()`
`void` `writerFactory(String writerFactory)`
`CacheWriteSynchronizationMode` `writeSynchronizationMode()`
`void` `writeSynchronizationMode(CacheWriteSynchronizationMode writeSynchronizationMode)`
`boolean` `writeThrough()`
`void` `writeThrough(boolean writeThrough)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheConfiguration

    public VisorCacheConfiguration()

### Method Detail

#### from

    public static VisorCacheConfiguration from(Ignite ignite,
                               CacheConfiguration ccfg)

Parameters:
  `ignite` - Grid.
  `ccfg` - Cache configuration.
Returns:
  Data transfer object for cache configuration properties.

#### list

    public static Iterable<VisorCacheConfiguration> list(Ignite ignite,
                                         CacheConfiguration[] caches)

Parameters:
  `ignite` - Grid.
  `caches` - Cache configurations.
Returns:
  Data transfer object for cache configurations properties.

#### name

    @Nullable
    public String name()

Returns:
  Cache name.

#### name

    public void name(@Nullable
            String name)

Parameters:
  `name` - New cache name.

#### mode

    public CacheMode mode()

Returns:
  Cache mode.

#### mode

    public void mode(CacheMode mode)

Parameters:
  `mode` - New cache mode.

#### distributionMode

    public CacheDistributionMode distributionMode()

Returns:
  Distribution mode.

#### distributionMode

    public void distributionMode(CacheDistributionMode distributionMode)

Parameters:
  `distributionMode` - New distribution mode.

#### atomicityMode

    public CacheAtomicityMode atomicityMode()

Returns:
  Cache atomicity mode

#### atomicityMode

    public void atomicityMode(CacheAtomicityMode atomicityMode)

Parameters:
  `atomicityMode` - New cache atomicity mode

#### atomicSequenceReserveSize

    public int atomicSequenceReserveSize()

Returns:
  Cache atomic sequence reserve size

#### atomicSequenceReserveSize

    public void atomicSequenceReserveSize(int atomicSeqReserveSize)

Parameters:
  `atomicSeqReserveSize` - New cache atomic sequence reserve size

#### atomicWriteOrderMode

    public CacheAtomicWriteOrderMode atomicWriteOrderMode()

Returns:
  Cache atomicity write ordering mode.

#### atomicWriteOrderMode

    public void atomicWriteOrderMode(CacheAtomicWriteOrderMode atomicWriteOrderMode)

Parameters:
  `atomicWriteOrderMode` - New cache atomicity write ordering mode.

#### eagerTtl

    public boolean eagerTtl()

Returns:
  Eager ttl flag

#### eagerTtl

    public void eagerTtl(boolean eagerTtl)

Parameters:
  `eagerTtl` - New eager ttl flag

#### writeSynchronizationMode

    public CacheWriteSynchronizationMode writeSynchronizationMode()

Returns:
  Write synchronization mode.

#### writeSynchronizationMode

    public void writeSynchronizationMode(CacheWriteSynchronizationMode writeSynchronizationMode)

Parameters:
  `writeSynchronizationMode` - New write synchronization mode.

#### sequenceReserveSize

    public int sequenceReserveSize()

Returns:
  Sequence reserve size.

#### sequenceReserveSize

    public void sequenceReserveSize(int seqReserveSize)

Parameters:
  `seqReserveSize` - New sequence reserve size.

#### swapEnabled

    public boolean swapEnabled()

Returns:
  Swap enabled flag.

#### swapEnabled

    public void swapEnabled(boolean swapEnabled)

Parameters:
  `swapEnabled` - New swap enabled flag.

#### queryIndexEnabled

    public boolean queryIndexEnabled()

Returns:
  Flag indicating whether Ignite should attempt to index value and/or key instances stored in cache.

#### queryIndexEnabled

    public void queryIndexEnabled(boolean qryIdxEnabled)

Parameters:
  `qryIdxEnabled` - New flag indicating whether Ignite should attempt to index value and/or key instances stored in cache.

#### invalidate

    public boolean invalidate()

Returns:
  Invalidate.

#### invalidate

    public void invalidate(boolean invalidate)

Parameters:
  `invalidate` - New invalidate.

#### startSize

    public int startSize()

Returns:
  Start size.

#### startSize

    public void startSize(int startSize)

Parameters:
  `startSize` - New start size.

#### transactionManagerLookupClassName

    @Nullable
    public String transactionManagerLookupClassName()

Returns:
  Name of class implementing GridCacheTmLookup.

#### transactionManagerLookupClassName

    public void transactionManagerLookupClassName(@Nullable
                                         String tmLookupClsName)

Parameters:
  `tmLookupClsName` - New name of class implementing GridCacheTmLookup.

#### offsetHeapMaxMemory

    public long offsetHeapMaxMemory()

Returns:
  Off-heap max memory.

#### offsetHeapMaxMemory

    public void offsetHeapMaxMemory(long offHeapMaxMemory)

Parameters:
  `offHeapMaxMemory` - New off-heap max memory.

#### maxQueryIteratorCount

    public int maxQueryIteratorCount()

Returns:
  Max query iterator count

#### maxQueryIteratorCount

    public void maxQueryIteratorCount(int maxQryIterCnt)

Parameters:
  `maxQryIterCnt` - New max query iterator count

#### maxConcurrentAsyncOperations

    public int maxConcurrentAsyncOperations()

Returns:
  Max concurrent async operations

#### maxConcurrentAsyncOperations

    public void maxConcurrentAsyncOperations(int maxConcurrentAsyncOps)

Parameters:
  `maxConcurrentAsyncOps` - New max concurrent async operations

#### memoryMode

    public CacheMemoryMode memoryMode()

Returns:
  Memory mode.

#### memoryMode

    public void memoryMode(CacheMemoryMode memoryMode)

Parameters:
  `memoryMode` - New memory mode.

#### indexingSpiName

    public String indexingSpiName()

Returns:
  Name of SPI to use for indexing.

#### indexingSpiName

    public void indexingSpiName(String indexingSpiName)

Parameters:
  `indexingSpiName` - New name of SPI to use for indexing.

#### interceptor

    @Nullable
    public String interceptor()

Returns:
  Cache interceptor.

#### interceptor

    public void interceptor(@Nullable
                   String interceptor)

Parameters:
  `interceptor` - New cache interceptor.

#### affinityConfiguration

    public VisorCacheAffinityConfiguration affinityConfiguration()

Returns:
  Cache affinity config.

#### affinityConfiguration

    public void affinityConfiguration(VisorCacheAffinityConfiguration affinity)

Parameters:
  `affinity` - New cache affinity config.

#### preloadConfiguration

    public VisorCachePreloadConfiguration preloadConfiguration()

Returns:
  Preload config.

#### preloadConfiguration

    public void preloadConfiguration(VisorCachePreloadConfiguration preload)

Parameters:
  `preload` - New preload config.

#### evictConfiguration

    public VisorCacheEvictionConfiguration evictConfiguration()

Returns:
  Eviction config.

#### evictConfiguration

    public void evictConfiguration(VisorCacheEvictionConfiguration evict)

Parameters:
  `evict` - New eviction config.

#### nearConfiguration

    public VisorCacheNearConfiguration nearConfiguration()

Returns:
  Near cache config.

#### nearConfiguration

    public void nearConfiguration(VisorCacheNearConfiguration near)

Parameters:
  `near` - New near cache config.

#### defaultConfiguration

    public VisorCacheDefaultConfiguration defaultConfiguration()

Returns:
  Dgc config

#### defaultConfiguration

    public void defaultConfiguration(VisorCacheDefaultConfiguration dflt)

Parameters:
  `dflt` - New default config

#### storeConfiguration

    public VisorCacheStoreConfiguration storeConfiguration()

Returns:
  Store config

#### storeConfiguration

    public void storeConfiguration(VisorCacheStoreConfiguration store)

Parameters:
  `store` - New store config

#### writeBehind

    public VisorCacheWriteBehindConfiguration writeBehind()

Returns:
  Write behind config

#### writeBehind

    public void writeBehind(VisorCacheWriteBehindConfiguration writeBehind)

Parameters:
  `writeBehind` - New write behind config

#### typeMeta

    public void typeMeta(Collection<VisorCacheTypeMetadata> typeMeta)

Parameters:
  `typeMeta` - New collection of type metadata.

#### typeMeta

    public Collection<VisorCacheTypeMetadata> typeMeta()

Returns:
  Collection of type metadata.

#### jdbcStore

    public boolean jdbcStore()

Returns:
  `true` if cache has JDBC store.

#### jdbcStore

    public void jdbcStore(boolean jdbcStore)

Parameters:
  `jdbcStore` - `true` if cache has JDBC store.

#### readThrough

    public boolean readThrough()

Returns:
  Whether cache should operate in read-through mode.

#### readThrough

    public void readThrough(boolean readThrough)

Parameters:
  `readThrough` - New whether cache should operate in read-through mode.

#### writeThrough

    public boolean writeThrough()

Returns:
  Whether cache should operate in write-through mode.

#### writeThrough

    public void writeThrough(boolean writeThrough)

Parameters:
  `writeThrough` - New whether cache should operate in write-through mode.

#### statisticsEnabled

    public boolean statisticsEnabled()

Returns:
  `true` if cache statistics enabled.

#### statisticsEnabled

    public void statisticsEnabled(boolean statisticsEnabled)

Parameters:
  `statisticsEnabled` - `true` if cache statistics enabled.

#### managementEnabled

    public boolean managementEnabled()

Returns:
  Whether management is enabled.

#### managementEnabled

    public void managementEnabled(boolean mgmtEnabled)

Parameters:
  `mgmtEnabled` - New whether management is enabled.

#### loaderFactory

    public String loaderFactory()

Returns:
  Class name of cache loader factory.

#### loaderFactory

    public void loaderFactory(String ldrFactory)

Parameters:
  `ldrFactory` - New class name of cache loader factory.

#### writerFactory

    public String writerFactory()

Returns:
  Class name of cache writer factory.

#### writerFactory

    public void writerFactory(String writerFactory)

Parameters:
  `writerFactory` - New class name of cache writer factory.

#### expiryPolicyFactory

    public String expiryPolicyFactory()

Returns:
  Class name of expiry policy factory.

#### expiryPolicyFactory

    public void expiryPolicyFactory(String expiryPlcFactory)

Parameters:
  `expiryPlcFactory` - New class name of expiry policy factory.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015